Get Model
curl --request GET \
--url https://api.example.com/api/v2/models/{slug}import requests
url = "https://api.example.com/api/v2/models/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/models/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"token_cost": 123,
"min_token_cost": 123,
"max_token_cost": 123,
"min_plan": "<string>",
"config": {}
}Models
Get Model
Get details for a specific model by slug
GET
/
api
/
v2
/
models
/
{slug}
Get Model
Path Parameters
string
required
Model slug, e.g.
dall-e-3, flux-1.1-pro, kling-v2.1Request
curl "https://elumenta.ru/api/v2/models/dall-e-3" \
-H "Authorization: Bearer nb_YOUR_API_KEY"
Response
{
"slug": "dall-e-3",
"name": "DALL-E 3",
"category": "image",
"provider": "OpenAI",
"min_plan": "free",
"token_cost": 5,
"min_token_cost": 5,
"max_token_cost": 13,
"description_en": "OpenAI's DALL-E 3 — precise prompt following, high coherence",
"supports_streaming": false,
"config": {
"sizes": ["1024x1024", "1024x1792", "1792x1024"],
"formats": ["webp", "png", "jpeg"],
"quality_options": ["standard", "hd"]
}
}
Response Fields
string
Model identifier used in
/generate requests.integer
Base token cost per generation.
integer
Minimum possible cost (cheapest params).
integer
Maximum possible cost (most expensive params).
string
free (Starter-tier) or basic (Basic+ required).object
Model-specific parameters: available sizes, formats, quality options, etc.
⌘I

